### Method

# FwupdPlugin Device set_acquiesce_delay

#### Declaration [src]

    void
    fu_device_set_acquiesce_delay (
      FuDevice* self,
      guint acquiesce_delay
    )

#### Description [src]

Sets the time the daemon should wait for devices to finish hotplugging after the update has completed.

Devices subclassing from `FuUsbDevice` and `FuUdevDevice` use a value of 2,500ms, and other devices use 50ms by default. This can be also be set using `AcquiesceDelay=` in a quirk file.

Available since: | 1.8.3

#### Parameters

`acquiesce_delay` | `guint`
| The value in milliseconds.